$().ready(function () {
    validateRule();
    //数据分类初始
    loadType();
});

$.validator.setDefaults({
    submitHandler: function () {
        update();
    }
});

//返回
$("#go_back").click(function () {
    var index = parent.layer.getFrameIndex(window.name); // 获取窗口索引
    parent.layer.close(index);
});

function update() {
    $.ajax({
        cache: true,
        type: "POST",
        url: "/data/dataInfo/update",
        data: $('#signupForm').serialize(),// 你的formid
        async: false,
        error: function (request) {
            parent.layer.alert("Connection error");
        },
        success: function (data) {
            if (data.code == 0) {
                parent.layer.msg("操作成功");
                parent.reLoad();
                var index = parent.layer.getFrameIndex(window.name); // 获取窗口索引
                parent.layer.close(index);

            } else {
                parent.layer.alert(data.msg)
            }

        }
    });

}

function loadType() {
    var html = "";
    var parentId = '1' //数据分类 根目录
    $.ajax({
        // url: '/common/dict/list/data_type' + "/0",
        url: '/data/dataPart/list/' + parentId,
        success: function (data) {
            dateInfo = data;
            console.log("dateInfo:" + dateInfo)
            //加载数据
            for (var i = 0; i < data.length; i++) {
                // html += '<option value="' + data[i].value + '">' + data[i].name + '</option>'
                html += '<option value="' + data[i].partId + '">' + data[i].partName + '</option>'
            }
            if (html != '') {
                html += '<option value="other">其它</option>'
            }
            $(".chosen-select").append(html);
            $(".chosen-select").chosen({
                maxHeight: 200
            });

            //赋值
            $(".chosen-select").val($("#Ttype").val());
            // $(".chosen-select option[value='3']").attr("selected",true);
            $(".chosen-select").trigger("chosen:updated");
            //为其它时
            if ($("#Ttype").val() == 'other') {
                //数据子类为空 置灰
                $('.chosen-select-sub').val('');
                $('.chosen-select-sub').attr("disabled", "disabled")
                //other类别 显示
                $('.otherInfo').show();//显示div
            }

            //数据分类 子类 初始化
            loadDataSub($("#Ttype").val())

            //点击事件
            $('.chosen-select').on('change', function (e, params) {
                var dataTypeInfo = $(".chosen-select").val();
                console.log("dataTypeInfo:" + dataTypeInfo)
                $(".chosen-select-sub").trigger("liszt:updated");
                $(".chosen-select-sub").trigger("chosen:updated");
                $(".chosen-select-sub").chosen('destroy');
                //选择框不允许为空
                if (dataTypeInfo != '') {
                    console.log("selected:" + params.selected);
                    var opt = {
                        query: {
                            type: params.selected,
                        }
                    }
                    // $('#exampleTable').bootstrapTable('refresh', opt);
                    //选择框为other时
                    if (params.selected == 'other') {
                        //数据子类为空 置灰
                        $('.chosen-select-sub').val('');
                        $('.chosen-select-sub').attr("disabled", "disabled")
                        //other类别 显示
                        $('.otherInfo').show();//显示div
                        // loadFlge = false;
                    } else {
                        //other类别 显示
                        $('.otherInfo').hide();//隐藏div
                        // 去除置灰
                        // $('.chosen-select-sub').removeAttr("disabled");
                        $(".chosen-select-sub").attr("disabled", false);
                        // $('.chosen-select-sub').removeClass("chosen-disabled");
                        for (var i = 0; i < data.length; i++) {
                            if (params.selected == dateInfo[i].partId) {
                                console.log("value:" + dateInfo[i].partId)
                                loadDataSub(dateInfo[i].partId);

                                break;
                            }
                        }
                    }
                } else {
                    $('.chosen-select-sub').val('');
                    $('.chosen-select-sub').attr("disabled", "disabled")
                }
            });
        }
    });
}

function loadDataSub(parentId) {
    console.log("parentId：" + parentId)
    // $(".chosen-select-sub").chosen('destroy');
    // $(".chosen-select-sub").chosen();
    $(".chosen-select-sub").empty(); //清空
    var html = "";
    $.ajax({
        // url: '/common/dict/list/data_type' + "_" + val + "/" + id,
        url: '/data/dataPart/list/' + parentId,
        success: function (data) {
            //加载数据
            if (data != "") {
                for (var i = 0; i < data.length; i++) {
                    // html += '<option value="' + data[i].value + '">' + data[i].name + '</option>'
                    html += '<option value="' + data[i].partId + '">' + data[i].partName + '</option>'
                }
            }
            if (html != '') {
                $(".chosen-select-sub").append("<option value=\"\">--选择子类--</option>")
            }
            $(".chosen-select-sub").append(html);
            $(".chosen-select-sub").chosen({
                maxHeight: 200
            });
            //赋值
            $(".chosen-select-sub").val($("#Tsub").val());
            // $(".chosen-select option[value='3']").attr("selected",true);
            $(".chosen-select-sub").trigger("chosen:updated");

            //点击事件
            $('.chosen-select-sub').on('change', function (e, params) {
                var opt = {
                    query: {
                        type: params.selected,
                    }
                }
            });
        }
    });
}

function validateRule() {
    var icon = "<i class='fa fa-times-circle'></i> ";
    $("#signupForm").validate({
        rules: {
            name: {
                required: true
            }
        },
        messages: {
            name: {
                required: icon + "请输入名字"
            }
        }
    })
}